---
- name: Shrink specific logical volume to given size
  hosts: all
  become: true
  gather_facts: true


  vars:
    shrink_lv_devices:
      - device: "{{ shrink_lv_logical_volume | default('') }}"
        size: "{{ shrink_lv_volume_size | default('') }}"


  roles:
    - infra.lvm_snapshots.shrink_lv


...
